aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/launch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy/launch.sh')
-rwxr-xr-xdeploy/launch.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/deploy/launch.sh b/deploy/launch.sh
index aa476784..5f1ee1cb 100755
--- a/deploy/launch.sh
+++ b/deploy/launch.sh
@@ -142,5 +142,8 @@ echo "NOTE: openrc file is in the controller nodes"
echo ""
if [[ ${DHA##*/} =~ "openo" ]]; then
- python ${COMPASS_DIR}/deploy/opera_adapter.py $DHA $NETWORK
+ sudo python ${COMPASS_DIR}/deploy/opera_adapter.py $DHA $NETWORK
+ if [[ $? -ne 0 ]]; then
+ exit 1
+ fi
fi